<?xml version="1.0" encoding="UTF-8" ?>
<Shell
    x:Class="Learn2_Navigation_Stack_Routing.AppShell"
    xmlns="http://schemas.microsoft.com/dotnet/2021/maui"
    xmlns:x="http://schemas.microsoft.com/winfx/2009/xaml"
    xmlns:local="clr-namespace:Learn2_Navigation_Stack_Routing.Pages"
    Title="Learn2_Navigation_Stack_Routing">
    <!-- Title utilisé principalement pour bureau -->
        
    <!-- Menu volant combiné avec onglets -->
    <!-- Elément 1 -->
    <FlyoutItem Title="Base" Route="base">
        <!-- Page 1 (onglet 1) -->
        <ShellContent 
            Title="Accueil"
            ContentTemplate="{DataTemplate local:MainPage}"
            Route="MainPage" />

        <!-- Page 2 (onglet 2) -->
        <ShellContent 
            Title="Affichage de données"
            ContentTemplate="{DataTemplate local:DataDisplay}"
            Route="DataDisplay" />
        <!-- Route = //base/DataDisplay -->
    </FlyoutItem>

    <!-- Elément 2 -->
    <ShellContent
        Title="A propos"
        ContentTemplate="{DataTemplate local:About}"
        Route="About" />

</Shell>
